Subject: bug#77492: AppStream metadata updates

From: Po Lu <[email-masked]>
Date: Sun, 20 Apr 2025 09:21:56 +0800

Stefan Monnier <[email-masked]> writes:

>> + <!-- https://hughsie.github.io/oars/generate.html -->
>> + <content_rating type="oars-1.1">
>> +   <!-- M-x doctor -->
>> +   <content_attribute id="violence-fantasy">moderate</content_attribute>
>> +   <content_attribute id="violence-sexual">intense</content_attribute>
>> +   <content_attribute id="drugs-alcohol">mild</content_attribute>
>> +   <content_attribute id="drugs-narcotics">mild</content_attribute>
>> +   <content_attribute id="sex-themes">moderate</content_attribute>
>> +   <content_attribute id="language-profanity">intense</content_attribute>
>> +
>> +   <!-- etc/JOKES -->
>> +   <content_attribute id="language-humor">mild</content_attribute>
>> +   <content_attribute id="sex-nudity">mild</content_attribute>
>> +
>> +   <!-- Gnus, rirc, etc. -->
>> +   <content_attribute id="social-chat">intense</content_attribute>
>> +
>> +   <!-- M-x report-emacs-bug -->
>> +   <content_attribute id="social-info">intense</content_attribute>
>> + </content_rating>
>
> I find this quite funny, but I'm genuinely curious how `M-x doctor`
> ended up with
>
>     <content_attribute id="violence-sexual">intense</content_attribute>
>
> Looks like I haven't pushed my psychoanalyst hard enough.

Likewise.  I will have to contend with the consequences at my
organization when Emacs 31.1 is released and someone inevitably notices
these updated content ratings, which experience I am NOT anticipating
eagerly...